/////////////////////////////////////////////////////////////////////////////
//
// Fidonet Mail Access: Pkt base integrity check routines module
//
// PktCheck.c
//
// Copyright (c) 1999-2000 by Pete Kvitek
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version. See GNU_GPL.TXT for details.
//
// Created: 10/Feb/2000
// Updated: 10/Feb/2000
//
// History: 10/Feb/2000 kvitekp - Initially created.
//
/////////////////////////////////////////////////////////////////////////////

  // Include common and private headers

#include "FmaApi.h"
#include "FmaApiP.h"

#include "PktApi.h"
#include "PktApiP.h"

/////////////////////////////////////////////////////////////////////////////
// M o d u l e   s p e c i f i c   d e c l a r a t i o n s                 //
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// M o d u l e   l o c a l   r o u t i n e s                               //
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// P u b l i c   r o u t i n e s                                           //
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// This routine checks the squish message base integrity
//

  FMAAPI_(BOOL) PktCheckBase(PSZ pszPath)
  {
	ULONG fl = FOA_LOCKAREA | FOA_DENYALL;
	BOOL bOk = TRUE;
	PPAREA parea;

	// Open area in exclusive mode and check if ok

	if ((parea = PktOpenArea(pszPath, OPENAREA_EXISTING, fl, NULL)) == NULL) {
#ifdef FMA_LOG
Log("PktCheckBase -----: Can't open %s", pszPath);
#endif
	  return TRUE;
	}

	// Not much we can do here since PktOpenArea will fail on
	// any packet file problem

	// Close area 

	PktCloseArea(parea);

	return bOk;
  }

/////////////////////////////////////////////////////////////////////////////
// End of PktCheck.c
/////////////////////////////////////////////////////////////////////////////
